Loading...
Searching...
No Matches
Opm::GuideRateModel Class Reference

## Public Types

enum class | Target : std::uint8_t { OIL = 0 , LIQ = 1 , GAS = 2 , WAT = 3 , RES = 4 , COMB = 5 , NONE = 6 }

## Public Member Functions

| GuideRateModel (double time_interval_arg, Target target_arg, double A_arg, double B_arg, double C_arg, double D_arg, double E_arg, double F_arg, bool allow_increase_arg, double damping_factor_arg, bool use_free_gas_arg)
double | eval (const std::string &wgId, double oil_pot, double gas_pot, double wat_pot) const
bool | updateLINCOM (const UDAValue &alpha, const UDAValue &beta, const UDAValue &gamma) const
double | update_delay () const
bool | allow_increase () const
double | damping_factor () const
bool | operator== (const GuideRateModel &other) const
bool | operator!= (const GuideRateModel &other) const
Target | target () const
double | getA () const
double | getB () const
double | getC () const
double | getD () const
double | getE () const
double | getF () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Target | TargetFromString (const std::string &s)
static Target | TargetFromRestart (const int nominated_phase)
static bool | rst_valid (double time_interval, double A, double B, double C, double D, double E, double F, double damping_factor)
static GuideRateModel | serializationTestObject ()
static Target | convert_target (WellGuideRateTarget well_target)
static Target | convert_target (Group::GuideRateProdTarget group_target)
static Target | convert_target (Phase injection_phase)
static double | pot (Target target, double oil_pot, double gas_pot, double wat_pot)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GuideRateModel.hpp
- opm/input/eclipse/Schedule/Group/GuideRateModel.cpp